lazy
Meta » Logical

## Typedefs

template<typename... Bs>
using | meta::lazy::and_ = defer< and_, Bs... >
template<typename... Args>
using | meta::lazy::if_ = defer< if_, Args... >
template<bool If, typename... Args>
using | meta::lazy::if_c = if_< bool_< If >, Args... >
template<typename B >
using | meta::lazy::not_ = defer< not_, B >
template<typename... Bs>
using | meta::lazy::or_ = defer< or_, Bs... >
template<typename... Bs>
using | meta::lazy::strict_and = defer< strict_and, Bs... >
template<typename... Bs>
using | meta::lazy::strict_or = defer< strict_or, Bs... >

## Detailed Description

## Typedef Documentation

## and_

template<typename... Bs>

using meta::lazy::and_ = typedef defer<and_, Bs...>

`#include <meta/meta.hpp>`

See also
  'meta::and_'

## if_

template<typename... Args>

using meta::lazy::if_ = typedef defer<if_, Args...>

`#include <meta/meta.hpp>`

See also
  'meta::if_'

## if_c

template<bool If, typename... Args>

using meta::lazy::if_c = typedef if_<bool_<If>, Args...>

`#include <meta/meta.hpp>`

See also
  'meta::if_c'

## not_

template<typename B >

using meta::lazy::not_ = typedef defer<not_, B>

`#include <meta/meta.hpp>`

See also
  'meta::not_'

## or_

template<typename... Bs>

using meta::lazy::or_ = typedef defer<or_, Bs...>

`#include <meta/meta.hpp>`

See also
  'meta::or_'

## strict_and

template<typename... Bs>

using meta::lazy::strict_and = typedef defer<strict_and, Bs...>

`#include <meta/meta.hpp>`

See also
  'meta::strict_and'

## strict_or

template<typename... Bs>

using meta::lazy::strict_or = typedef defer<strict_or, Bs...>

`#include <meta/meta.hpp>`

See also
  'meta::strict_or'